# This file created by conda-build 3.2.0
# meta.yaml template originally from:
# /opt/concourse/volumes/live/42b15357-eb5f-45b3-45f4-fb368480719b/volume/rsync-recipes/jemalloc-5.0.1-on-nwani-osx-64, last modified Sun Dec 31 06:54:21 2017
# ------------------------------------------------

package:
    name: jemalloc
    version: 5.0.1
source:
    fn: 5.0.1.tar.bz2
    patches:
        - 0001-Add-the-mtls-dialect-gnu2-to-compile-flags.patch
        - 0002-Make-sure-JE_CXXFLAGS_ADD-uses-CPP-compiler.patch
    sha256: 4814781d395b0ef093b21a08e8e6e0bd3dab8762f9935bbfb71679b0dea7c3e9
    url: https://github.com/jemalloc/jemalloc/releases/download/5.0.1/jemalloc-5.0.1.tar.bz2
build:
    number: '1'
    run_exports:
        - jemalloc
    string: h0a44026_1
requirements:
    build:
        - autoconf 2.69 pl526he370928_5
        - automake 1.15.1 pl526h2ca55ef_0
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_5
        - clangxx 4.0.1 hc9b4283_0
        - clangxx_osx-64 4.0.1 5
        - compiler-rt 4.0.1 h5487866_0
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
        - m4 1.4.18 hc7d0c60_0
        - make 4.2.1 h0cf4ea2_0
        - perl 5.26.0 h5b8ca18_0
    host:
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
    run:
        - libcxx  >=4.0.1
test:
    commands:
        - test -f $PREFIX/lib/libjemalloc.a
        - test -f $PREFIX/lib/libjemalloc_pic.a
        - test -f $PREFIX/lib/libjemalloc.2.dylib
        - test -f $PREFIX/include/jemalloc/jemalloc.h
about:
    dev_url: https://github.com/jemalloc/jemalloc
    home: http://jemalloc.net
    license: BSD 2-Clause
    license_file: COPYING
    summary: general purpose malloc(3) implementation
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - wesm
        - xhochy
